Subject: Your ticking dream

From: " Proval" <[email-masked] >
Date: Thu, 5 Jul 2007 23:34:20 -0400

Don’t miss the chance to get yourself a qualitative replica timepiece for less!
Enjoy our unbelievably low prices and free express shipping!
Detailed replicas identical with the original brand-name chronometers here!
http://slonoima.com